import { ScrollView, View, Image, Button } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import { useState, useEffect } from 'react';
import { getApplicationList, getOrder } from '../../services/dogAPI';
import AppliCard from './components/AppliCard';
import './style.less'

export default (props) => {
  const id = Taro.getCurrentInstance().router.params.id;
  const [applionList, setApplionList] = useState([])
  const [applionLoading, setApplionLoading] = useState(false)

  useDidShow(() => {
    setApplionLoading(true)

    getApplicationList({ pageSize: 500 }).then((e) => {
      console.log('e', e);
      setApplionList(e.records)
      setApplionLoading(false)

    })
  }, [])
  const trackingCopy = (value) => {
    Taro.setClipboardData({
      data: value,
      success: e => {
        Taro.showToast({
          title: '快递单号已复制',
          icon: 'success',
          duration: 2000,
        })
      }
    })
  }
  const goSetDogLicense = (e, Id) => {
    if (e == 'pay') {
      Taro.navigateTo({
        url: `/pages/payPage/index?id=${Id}`
      })
    } else {
      Taro.navigateTo({
        url: `/pages/setDogLicense/index?type=first&petId=${Id}`
      })
    }

  }


  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      {
        applionLoading ? <mp-loading extClass="page-loading-circle" type="circle" show={applionLoading} /> :

          <>

            {
              applionList.map((item, index) => {
                return (
                  <AppliCard key={index} item={item} onClick={goSetDogLicense} copy={trackingCopy} />

                )

              })
            }
          </>
      }


      <View style={{ textAlign: 'center', margin: '6vw 0 3vw 0', color: '#858585', fontSize: '12px' }}>
        申请驳回，费用将原路退回支付账户！
      </View>

    </ScrollView>
  )
}