import { View, RichText, ScrollView } from '@tarojs/components'
import Taro from '@tarojs/taro'
import { useEffect, useState } from 'react'
import { getNoticeInfo } from '../../services/dogAPI'

import './style.less'

export default (props) => {
  const id = Taro.getCurrentInstance().router.params.id;
  const [content, setContent] = useState()
  useEffect(() => {
    if (id) {
      getNoticeInfo(id).then((res) => {
        setContent(res)
      })
    }

  }, [id])


  const htmlSnip = content?.content.replace(/<\/p>/g, '</p><p style="height: 1em">&nbsp;</p>')

  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      <View className='noticeInfo'>
        <View className='title'>{content?.title}</View>
        <View className='date'>{content?.createDate}</View>
        <RichText nodes={htmlSnip}></RichText>
      </View>
    </ScrollView>
  )
}




